Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Static Public Member Functions | List of all members
eZTemplateOptimizer Class Reference

Analyses a compiled template tree and tries to optimize certain parts of it. More...

## Static Public Member Functions
static | optimizeResourceAcquisition ( $useComments, &$php, $tpl, &$var, &$node, &$resourceData)
static | optimizeFunction ( $useComments, &$php, $tpl, &$node, &$resourceData)
static | optimizeVariable ( $useComments, &$php, $tpl, &$data, &$resourceData)
static | optimize ( $useComments, &$php, $tpl, &$tree, &$resourceData)
static | fetchClassDeclaration ( $classID)

## Detailed Description

Analyses a compiled template tree and tries to optimize certain parts of it.

Definition at line 17 of file eztemplateoptimizer.php.

## Member Function Documentation

## ◆ fetchClassDeclaration()

static eZTemplateOptimizer::fetchClassDeclaration | ( |  | $classID | ) |
| static

Definition at line 192 of file eztemplateoptimizer.php.

References eZContentClass\fetch().

Referenced by eZTemplateCompiler\compileTemplate().

## ◆ optimize()

static eZTemplateOptimizer::optimize | ( |  | $useComments,
|  | & | $php,
|  |  | $tpl,
|  | & | $tree,
|  | & | $resourceData
| ) |  |
| static

Runs the optimizer

Definition at line 141 of file eztemplateoptimizer.php.

References eZTemplate\NODE_INTERNAL_OUTPUT_SPACING_INCREASE, eZTemplate\NODE_INTERNAL_RESOURCE_ACQUISITION, eZTemplate\NODE_INTERNAL_SPACING_DECREASE, eZTemplate\NODE_OPTIMIZED_INIT, optimizeResourceAcquisition(), and optimizeVariable().

Referenced by eZTemplateCompiler\compileTemplate().

## ◆ optimizeFunction()

static eZTemplateOptimizer::optimizeFunction | ( |  | $useComments,
|  | & | $php,
|  |  | $tpl,
|  | & | $node,
|  | & | $resourceData
| ) |  |
| static

Analyses function nodes and tries to optimize them

Definition at line 71 of file eztemplateoptimizer.php.

References optimizeVariable().

Referenced by optimizeVariable().

## ◆ optimizeResourceAcquisition()

static eZTemplateOptimizer::optimizeResourceAcquisition | ( |  | $useComments,
|  | & | $php,
|  |  | $tpl,
|  | & | $var,
|  | & | $node,
|  | & | $resourceData
| ) |  |
| static

Optimizes a resource acquisition node and the variable data before it

Definition at line 22 of file eztemplateoptimizer.php.

References eZTemplate\NODE_OPTIMIZED_RESOURCE_ACQUISITION, eZTemplate\TYPE_ATTRIBUTE, and eZTemplate\TYPE_VARIABLE.

Referenced by optimize().

## ◆ optimizeVariable()

static eZTemplateOptimizer::optimizeVariable | ( |  | $useComments,
|  | & | $php,
|  |  | $tpl,
|  | & | $data,
|  | & | $resourceData
| ) |  |
| static

Analyses variables and tries to optimize them

Definition at line 88 of file eztemplateoptimizer.php.

References eZTemplate\NODE_INTERNAL_CODE_PIECE, optimizeFunction(), eZTemplate\TYPE_ATTRIBUTE, eZTemplate\TYPE_OPTIMIZED_ARRAY_LOOKUP, eZTemplate\TYPE_OPTIMIZED_ATTRIBUTE_LOOKUP, eZTemplate\TYPE_OPTIMIZED_CONTENT_CALL, eZTemplate\TYPE_OPTIMIZED_NODE, and eZTemplate\TYPE_VARIABLE.

Referenced by optimize(), and optimizeFunction().

The documentation for this class was generated from the following file:

- eztemplateoptimizer.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.